---
sidebar_position: 3
description: Pause advertising post and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Pause advertising post
 Pauses the display of the advertising post



`Function PauseAdvertising(Val AccountID, Val AdID, Val Parameters = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | AccountID | --cabinet | String, Number | &#x2714; | Advertising account ID |
  | AdID | --adv | String, Number | &#x2714; | Ad ID |
  | Parameters | --auth | Structure Of String | &#x2716; | Authorization parameters. See GetAuthParameters |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK



```bsl title="1C:Enterprise/OneScript code example"
    Parameters = GetVKParameters();

    AccountID = "1607951446";
    AdID      = "0";

    Result = OPI_VK.PauseAdvertising(AccountID, AdID, Parameters);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint vk PauseAdvertising \
             --cabinet "1607951446" \
             --adv 0 \
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint vk PauseAdvertising ^
             --cabinet "1607951446" ^
             --adv 0 ^
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "error": {
  "error_code": 100,
  "error_msg": "One of the parameters specified was missing or invalid: data[0][ad_id] is invalid",
  "request_params": [
   {
    "key": "from_group",
    "value": "1"
   },
   {
    "key": "owner_id",
    "value": "-218861756"
   },
   {
    "key": "v",
    "value": "5.131"
   },
   {
    "key": "app_id",
    "value": "51694790"
   },
   {
    "key": "group_id",
    "value": "218861756"
   },
   {
    "key": "account_id",
    "value": "1607951446"
   },
   {
    "key": "data",
    "value": "[\r\n {\r\n  \"ad_id\": \"0\",\r\n  \"status\": 0\r\n }\r\n]"
   },
   {
    "key": "method",
    "value": "ads.updateAds"
   },
   {
    "key": "oauth",
    "value": "1"
   }
  ]
 }
}
```
